Skip to main content

Update Property: Rent Manager

PUThttps://api.propexo.com/v1/properties/rentmanager/:property_id

Update a property in Rent Manager

Method
POST /Properties

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The Propexo unique identifier for the property

Request​

This endpoint expects an object.

    namestring

    The name associated with the property

    short_descriptionstringrequired

    A short description of the property

    manager_namestring

    The name of the property manager

    is_activeboolean

    Whether the property is active

    manager_emailstring

    The email address of the property manager

    notesstring

    Notes associated with the property

    square_feetstring

    The square footage of the property

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    property_idstringrequired

    The Propexo unique identifier for the property

    namestring

    The name associated with the property

    short_descriptionstringrequired

    A short description of the property

    manager_namestring

    The name of the property manager

    is_activeboolean

    Whether the property is active

    manager_emailstring

    The email address of the property manager

    notesstring

    Notes associated with the property

    square_feetstring

    The square footage of the property

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/properties/rentmanager/:property_id
curl -X PUT https://api.propexo.com/v1/properties/rentmanager/:property_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"short_description": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"property_id": "string",
"name": "string",
"short_description": "string",
"manager_name": "string",
"is_active": true,
"manager_email": "string",
"notes": "string",
"square_feet": "string"
}
}